--- /dev/null
+SooChan Lim <sc1.lim@samsung.com>
+Sung-Jin Park <sj76.park@samsung.com>
+Sangjin LEE <lsj119@samsung.com>
--- /dev/null
+Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.
+
--- /dev/null
+Installation Instructions
+*************************
+
+Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002, 2004, 2005,
+2006, 2007, 2008 Free Software Foundation, Inc.
+
+ This file is free documentation; the Free Software Foundation gives
+unlimited permission to copy, distribute and modify it.
+
+Basic Installation
+==================
+
+ Briefly, the shell commands `./configure; make; make install' should
+configure, build, and install this package. The following
+more-detailed instructions are generic; see the `README' file for
+instructions specific to this package.
+
+ The `configure' shell script attempts to guess correct values for
+various system-dependent variables used during compilation. It uses
+those values to create a `Makefile' in each directory of the package.
+It may also create one or more `.h' files containing system-dependent
+definitions. Finally, it creates a shell script `config.status' that
+you can run in the future to recreate the current configuration, and a
+file `config.log' containing compiler output (useful mainly for
+debugging `configure').
+
+ It can also use an optional file (typically called `config.cache'
+and enabled with `--cache-file=config.cache' or simply `-C') that saves
+the results of its tests to speed up reconfiguring. Caching is
+disabled by default to prevent problems with accidental use of stale
+cache files.
+
+ If you need to do unusual things to compile the package, please try
+to figure out how `configure' could check whether to do them, and mail
+diffs or instructions to the address given in the `README' so they can
+be considered for the next release. If you are using the cache, and at
+some point `config.cache' contains results you don't want to keep, you
+may remove or edit it.
+
+ The file `configure.ac' (or `configure.in') is used to create
+`configure' by a program called `autoconf'. You need `configure.ac' if
+you want to change it or regenerate `configure' using a newer version
+of `autoconf'.
+
+The simplest way to compile this package is:
+
+ 1. `cd' to the directory containing the package's source code and type
+ `./configure' to configure the package for your system.
+
+ Running `configure' might take a while. While running, it prints
+ some messages telling which features it is checking for.
+
+ 2. Type `make' to compile the package.
+
+ 3. Optionally, type `make check' to run any self-tests that come with
+ the package.
+
+ 4. Type `make install' to install the programs and any data files and
+ documentation.
+
+ 5. You can remove the program binaries and object files from the
+ source code directory by typing `make clean'. To also remove the
+ files that `configure' created (so you can compile the package for
+ a different kind of computer), type `make distclean'. There is
+ also a `make maintainer-clean' target, but that is intended mainly
+ for the package's developers. If you use it, you may have to get
+ all sorts of other programs in order to regenerate files that came
+ with the distribution.
+
+ 6. Often, you can also type `make uninstall' to remove the installed
+ files again.
+
+Compilers and Options
+=====================
+
+ Some systems require unusual options for compilation or linking that
+the `configure' script does not know about. Run `./configure --help'
+for details on some of the pertinent environment variables.
+
+ You can give `configure' initial values for configuration parameters
+by setting variables in the command line or in the environment. Here
+is an example:
+
+ ./configure CC=c99 CFLAGS=-g LIBS=-lposix
+
+ *Note Defining Variables::, for more details.
+
+Compiling For Multiple Architectures
+====================================
+
+ You can compile the package for more than one kind of computer at the
+same time, by placing the object files for each architecture in their
+own directory. To do this, you can use GNU `make'. `cd' to the
+directory where you want the object files and executables to go and run
+the `configure' script. `configure' automatically checks for the
+source code in the directory that `configure' is in and in `..'.
+
+ With a non-GNU `make', it is safer to compile the package for one
+architecture at a time in the source code directory. After you have
+installed the package for one architecture, use `make distclean' before
+reconfiguring for another architecture.
+
+ On MacOS X 10.5 and later systems, you can create libraries and
+executables that work on multiple system types--known as "fat" or
+"universal" binaries--by specifying multiple `-arch' options to the
+compiler but only a single `-arch' option to the preprocessor. Like
+this:
+
+ ./configure CC="gcc -arch i386 -arch x86_64 -arch ppc -arch ppc64" \
+ CXX="g++ -arch i386 -arch x86_64 -arch ppc -arch ppc64" \
+ CPP="gcc -E" CXXCPP="g++ -E"
+
+ This is not guaranteed to produce working output in all cases, you
+may have to build one architecture at a time and combine the results
+using the `lipo' tool if you have problems.
+
+Installation Names
+==================
+
+ By default, `make install' installs the package's commands under
+`/usr/local/bin', include files under `/usr/local/include', etc. You
+can specify an installation prefix other than `/usr/local' by giving
+`configure' the option `--prefix=PREFIX'.
+
+ You can specify separate installation prefixes for
+architecture-specific files and architecture-independent files. If you
+pass the option `--exec-prefix=PREFIX' to `configure', the package uses
+PREFIX as the prefix for installing programs and libraries.
+Documentation and other data files still use the regular prefix.
+
+ In addition, if you use an unusual directory layout you can give
+options like `--bindir=DIR' to specify different values for particular
+kinds of files. Run `configure --help' for a list of the directories
+you can set and what kinds of files go in them.
+
+ If the package supports it, you can cause programs to be installed
+with an extra prefix or suffix on their names by giving `configure' the
+option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
+
+Optional Features
+=================
+
+ Some packages pay attention to `--enable-FEATURE' options to
+`configure', where FEATURE indicates an optional part of the package.
+They may also pay attention to `--with-PACKAGE' options, where PACKAGE
+is something like `gnu-as' or `x' (for the X Window System). The
+`README' should mention any `--enable-' and `--with-' options that the
+package recognizes.
+
+ For packages that use the X Window System, `configure' can usually
+find the X include and library files automatically, but if it doesn't,
+you can use the `configure' options `--x-includes=DIR' and
+`--x-libraries=DIR' to specify their locations.
+
+Particular systems
+==================
+
+ On HP-UX, the default C compiler is not ANSI C compatible. If GNU
+CC is not installed, it is recommended to use the following options in
+order to use an ANSI C compiler:
+
+ ./configure CC="cc -Ae"
+
+and if that doesn't work, install pre-built binaries of GCC for HP-UX.
+
+ On OSF/1 a.k.a. Tru64, some versions of the default C compiler cannot
+parse its `<wchar.h>' header file. The option `-nodtk' can be used as
+a workaround. If GNU CC is not installed, it is therefore recommended
+to try
+
+ ./configure CC="cc"
+
+and if that doesn't work, try
+
+ ./configure CC="cc -nodtk"
+
+Specifying the System Type
+==========================
+
+ There may be some features `configure' cannot figure out
+automatically, but needs to determine by the type of machine the package
+will run on. Usually, assuming the package is built to be run on the
+_same_ architectures, `configure' can figure that out, but if it prints
+a message saying it cannot guess the machine type, give it the
+`--build=TYPE' option. TYPE can either be a short name for the system
+type, such as `sun4', or a canonical name which has the form:
+
+ CPU-COMPANY-SYSTEM
+
+where SYSTEM can have one of these forms:
+
+ OS KERNEL-OS
+
+ See the file `config.sub' for the possible values of each field. If
+`config.sub' isn't included in this package, then this package doesn't
+need to know the machine type.
+
+ If you are _building_ compiler tools for cross-compiling, you should
+use the option `--target=TYPE' to select the type of system they will
+produce code for.
+
+ If you want to _use_ a cross compiler, that generates code for a
+platform different from the build platform, you should specify the
+"host" platform (i.e., that on which the generated programs will
+eventually be run) with `--host=TYPE'.
+
+Sharing Defaults
+================
+
+ If you want to set default values for `configure' scripts to share,
+you can create a site shell script called `config.site' that gives
+default values for variables like `CC', `cache_file', and `prefix'.
+`configure' looks for `PREFIX/share/config.site' if it exists, then
+`PREFIX/etc/config.site' if it exists. Or, you can set the
+`CONFIG_SITE' environment variable to the location of the site script.
+A warning: not all `configure' scripts look for a site script.
+
+Defining Variables
+==================
+
+ Variables not defined in a site shell script can be set in the
+environment passed to `configure'. However, some packages may run
+configure again during the build, and the customized values of these
+variables may be lost. In order to avoid this problem, you should set
+them in the `configure' command line, using `VAR=value'. For example:
+
+ ./configure CC=/usr/local2/bin/gcc
+
+causes the specified `gcc' to be used as the C compiler (unless it is
+overridden in the site shell script).
+
+Unfortunately, this technique does not work for `CONFIG_SHELL' due to
+an Autoconf bug. Until the bug is fixed you can use this workaround:
+
+ CONFIG_SHELL=/bin/bash /bin/bash ./configure CONFIG_SHELL=/bin/bash
+
+`configure' Invocation
+======================
+
+ `configure' recognizes the following options to control how it
+operates.
+
+`--help'
+`-h'
+ Print a summary of all of the options to `configure', and exit.
+
+`--help=short'
+`--help=recursive'
+ Print a summary of the options unique to this package's
+ `configure', and exit. The `short' variant lists options used
+ only in the top level, while the `recursive' variant lists options
+ also present in any nested packages.
+
+`--version'
+`-V'
+ Print the version of Autoconf used to generate the `configure'
+ script, and exit.
+
+`--cache-file=FILE'
+ Enable the cache: use and save the results of the tests in FILE,
+ traditionally `config.cache'. FILE defaults to `/dev/null' to
+ disable caching.
+
+`--config-cache'
+`-C'
+ Alias for `--cache-file=config.cache'.
+
+`--quiet'
+`--silent'
+`-q'
+ Do not print messages saying which checks are being made. To
+ suppress all normal output, redirect it to `/dev/null' (any error
+ messages will still be shown).
+
+`--srcdir=DIR'
+ Look for the package's source code in directory DIR. Usually
+ `configure' can determine that directory automatically.
+
+`--prefix=DIR'
+ Use DIR as the installation prefix. *Note Installation Names::
+ for more details, including other options available for fine-tuning
+ the installation locations.
+
+`--no-create'
+`-n'
+ Run the configure checks, but stop before creating any output
+ files.
+
+`configure' also accepts some other, not widely useful, options. Run
+`configure --help' for more details.
+
--- /dev/null
+Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
+
+Permission to use, copy, modify, distribute, and sell this software
+and its documentation for any purpose is hereby granted without
+fee, provided that the above copyright notice appear in all copies
+and that both that copyright notice and this permission notice
+appear in supporting documentation, and that the name of Red Hat
+not be used in advertising or publicity pertaining to distribution
+of the software without specific, written prior permission. Red
+Hat makes no representations about the suitability of this software
+for any purpose. It is provided "as is" without express or implied
+warranty.
+
+THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
+CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
--- /dev/null
+# Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Permission to use, copy, modify, distribute, and sell this software and its
+# documentation for any purpose is hereby granted without fee, provided that
+# the above copyright notice appear in all copies and that both that
+# copyright notice and this permission notice appear in supporting
+# documentation, and that the name of Red Hat not be used in
+# advertising or publicity pertaining to distribution of the software without
+# specific, written prior permission. Red Hat makes no
+# representations about the suitability of this software for any purpose. It
+# is provided "as is" without express or implied warranty.
+#
+# RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+# EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+# PERFORMANCE OF THIS SOFTWARE.
+
+bin_SCRIPTS = $(top_srcdir)/@ARCH@-common/startx \
+ $(top_srcdir)/@ARCH@-common/scripts/setcpu \
+ $(top_srcdir)/@ARCH@-common/scripts/setpoll
+
+confdir = @CONF_PREFIX@/etc/X11
+conf_DATA = $(top_srcdir)/@ARCH@-common/xorg.conf \
+ $(top_srcdir)/@ARCH@-common/Xresources
+
+
+
--- /dev/null
+Copyright (c) 2011 Samsung Electronics Co., Ltd. All rights reserved.
+Except as noted, this software is licensed under MIT License.
+Please, see the LICENSE.MIT file for MIT License terms and conditions.
--- /dev/null
+keycode 123 = XF86AudioRaiseVolume
+keycode 122 = XF86AudioLowerVolume
+keycode 231 = Cancel
+keycode 177 = XF86Send
+keycode 147 = XF86Phone
+keycode 166 = XF86Stop
+keycode 225 = XF86Search
+keycode 124 = XF86PowerOff
+keycode 179 = XF86WebCam
+keycode 220 = XF86Pictures
+keycode 208 = XF86AudioPlay
+keycode 209 = XF86AudioPause
+keycode 174 = XF86AudioStop
+keycode 171 = XF86AudioNext
+keycode 173 = XF86AudioPrev
+keycode 176 = XF86AudioRewind
+keycode 216 = XF86AudioForward
+keycode 234 = XF86AudioMedia
+keycode 153 =
+keycode 239 =
+keycode 136 =
+keycode 140 =
+keycode 182 =
+keycode 172 =
+keycode 215 =
--- /dev/null
+Xft.dpi: 72
--- /dev/null
+#!/bin/sh
+
+if [ -x /usr/bin/pvrsrvinit ]; then
+ pvrsrvinit start
+fi
--- /dev/null
+xset -r 123 -r 122 -r 231 -r 177 -r 147 -r 166 -r 225 -r 124 -r 179 -r 220 -r 208 -r 209 -r 174 -r 171 -r 173 -r 176 -r 216 -r 234 &
--- /dev/null
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+#$srcdir/configure --enable-maintainer-mode "$@"
--- /dev/null
+export HOME=/root
+export DISPLAY=:0
--- /dev/null
+#!/bin/sh
+
+if [ "$1" = "" ]; then
+ echo "Usage> /usr/bin/setcpu <performance | ondemand>"
+ exit 1
+fi
+
+if [ "$1" = "perf" ]; then
+ echo "Setting CPU @ Performance Mode"
+ echo "performance" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
+else
+ if [ "$1" = "performance" ]; then
+ echo "Setting CPU @ Performance Mode"
+ echo "performance" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
+ else
+ if [ "$1" = "ondemand" ]; then
+ echo "Setting CPU @ Ondemand Mode"
+ echo "ondemand" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
+ else
+ echo "Usage> /usr/bin/setcpu <performance | ondemand>"
+ exit 1
+ fi
+ fi
+fi
--- /dev/null
+#!/bin/sh
+
+if [ "$1" = "" ]; then
+ echo "Usage> /usr/bin/setpoll < 0 or 1 >"
+ exit 1
+fi
+
+xinput set-prop "Pointer1" --type=int --format=8 "Evdev Use Poll" $1
--- /dev/null
+#!/bin/sh
+
+[ -r /etc/X11/Xorg.arch-options ] && . /etc/X11/Xorg.arch-options
+
+DISPLAY=":0"
+LOGDIR="/var/log"
+XORG_CONF=" -config /etc/X11/xorg.conf -configdir /etc/X11/xorg.conf.d "
+OTHER_OPTIONS=" -logfile /var/log/Xorg.0.log -ac -noreset +accessx 0 +dpmsphone $XORG_ARCH_OPTS"
+
+# Xorg automatically preserves logs in $LOGDIR/Xorg.DPY.log.(old)
+
+
+for scriptlet in $(find /etc/X11/arch-preinit.d ! -type d); do
+ test -x "$scriptlet" && . "$scriptlet"
+done
+
+if [ -e ~/.xinitrc ]; then
+ XINITRC=~/.xinitrc
+else
+ XINITRC=/etc/X11/xinitrc
+fi
+
+XSERVER_OPTIONS=" ${DISPLAY} ${OTHER_OPTIONS} ${XORG_CONF} "
+
+if [ "$1" = "--gdb" ]; then
+ gdb --args Xorg ${XSERVER_OPTIONS}
+else
+ if [ "$1" = "--only" ]; then
+
+ Xorg ${XSERVER_OPTIONS} &
+ else
+ xinit ${XINITRC} -- /usr/bin/Xorg ${XSERVER_OPTIONS} &
+ fi
+fi
+
--- /dev/null
+#!/bin/sh
+
+/usr/bin/scim -d &
+
+# set dpi
+if [ -x /usr/bin/xrdb ]; then
+ if [ -e ~/.Xresources ]; then
+ /usr/bin/xrdb -load -nocpp ~/.Xresources
+ else
+ /usr/bin/xrdb -load -nocpp /etc/X11/Xresources
+ fi
+fi
+
+# Link .e
+export HOME=/opt/home/app
+
+if [ ! -d ${HOME}/.e ]; then
+ cp -rf /opt/home/root/.e ${HOME}/.e
+ chown -R app:app ${HOME}/.e
+fi
+
+su -c "HOME=/opt/home/app /usr/bin/enlightenment_start -profile samsung -i-really-know-what-i-am-doing-and-accept-full-responsibility-for-it &" -l app
+
--- /dev/null
+Section "ServerFlags"
+ Option "blank time" "0"
+ Option "standby time" "0"
+ Option "suspend time" "0"
+ Option "off time" "0"
+EndSection
--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ start|stop|restart|reload|force-reload)
+ # Setting dpi to 72
+ if [ -x /usr/bin/xrdb ]; then
+ if [ -e ~/.Xresources ]; then
+ /usr/bin/xrdb -load -nocpp ~/.Xresources
+ else
+ /usr/bin/xrdb -load -nocpp /etc/X11/Xresources
+ fi
+ touch /tmp/hibernation/xresources_ready
+ fi
+ ;;
+
+ status)
+ if [ -x /usr/bin/xrdb ]; then
+ /usr/bin/xrdb -query -nocpp
+ fi
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/xresource {start|stop|status|restart|reload|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+export DISPLAY=:0
+export PATH=/bin:/usr/bin/:/sbin:/usr/sbin
+
+case "$1" in
+ start)
+ is_running=`ps ax | awk '{ print \$5 }' | grep Xorg` || true
+ if [ "${is_running}" = "" ]; then
+ echo "Starting Xorg server..."
+ /usr/bin/startx
+ else
+ echo "Xorg server is running already..."
+ fi
+ ;;
+
+ restart|reload|force-reload)
+ is_running=`ps ax | awk '{ print \$5 }' | grep Xorg` || true
+ if [ "${is_running}" != "" ]; then
+ $0 stop || true
+ sleep 3
+ fi
+ $0 start || true
+ ;;
+
+ stop)
+ is_running=`ps ax | awk '{ print \$5 }' | grep Xorg` || true
+ if [ "${is_running}" != "" ]; then
+ echo "Stopping Xorg server..."
+ killall -9 Xorg
+ else
+ echo "Xorg server is not running..."
+ fi
+ ;;
+
+ status)
+ is_running=`ps ax | awk '{ print \$5 }' | grep Xorg` || true
+ if [ "${is_running}" = "" ]; then
+ echo "Xorg server is not running..."
+ else
+ echo "Xorg server is running..."
+ fi
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/xserver {start|stop|status|restart|reload|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
--- /dev/null
+Section "ServerLayout"
+ Identifier "Test Layout"
+ Screen 0 "Screen0" 0 0
+ InputDevice "Gesture"
+EndSection
+
+Section "Screen"
+ Identifier "Screen0"
+ Device "emulfb"
+ Monitor "Monitor0"
+# SubSection "Display"
+# Modes "320x480"
+# EndSubSection
+EndSection
+
+Section "Monitor"
+ Identifier "Monitor0"
+ Option "DPMS" "true"
+# DisplaySize 46 76
+EndSection
+
+Section "Device"
+ Identifier "emulfb"
+ Driver "emulfb"
+# Option "fbdev" "/dev/fb3"
+EndSection
--- /dev/null
+Section "ServerFlags"
+ Option "AllowEmptyInput" "true"
+ Option "AutoAddDevices" "true"
+ Option "AutoEnableDevices" "true"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev touchscreen catchall"
+ MatchIsTouchScreen "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdevmultitouch"
+ Option "MultiTouch" "3"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev pointer catchall"
+ MatchIsPointer "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdev"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev keyboard catchall"
+ MatchIsKeyboard "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdev"
+EndSection
+
+Section "InputDevice"
+ Identifier "Gesture"
+ Driver "gesture"
+ Option "Device" "/dev/null"
+ Option "Activate" "1"
+EndSection
--- /dev/null
+Section "ServerLayout"
+ Identifier "Test Layout"
+ Screen 0 "Screen0" 0 0
+EndSection
+
+Section "Screen"
+ Identifier "Screen0"
+ Device "emulfb"
+ Monitor "Monitor0"
+ # SubSection "Display"
+ # Modes "480x800"
+ # EndSubSection
+EndSection
+
+Section "Monitor"
+ Identifier "Monitor0"
+ Option "DPMS" "true"
+EndSection
+
+Section "Device"
+ Identifier "emulfb"
+ Driver "emulfb"
+ Option "fbdev" "/dev/fb0"
+EndSection
--- /dev/null
+Section "InputClass"
+ Identifier "evdev pointer catchall"
+ MatchIsPointer "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdev"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev pointer catchall"
+ MatchIsTablet "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdev"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev touchscreen catchall"
+ MatchIsTouchScreen "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdevmultitouch"
+ Option "MultiTouch" "6"
+EndSection
+
+Section "InputClass"
+ Identifier "evdev keyboard catchall"
+ MatchIsKeyboard "on"
+ MatchDevicePath "/dev/input/event*"
+ Driver "evdev"
+EndSection
--- /dev/null
+# Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Permission to use, copy, modify, distribute, and sell this software and its
+# documentation for any purpose is hereby granted without fee, provided that
+# the above copyright notice appear in all copies and that both that
+# copyright notice and this permission notice appear in supporting
+# documentation, and that the name of Red Hat not be used in
+# advertising or publicity pertaining to distribution of the software without
+# specific, written prior permission. Red Hat makes no
+# representations about the suitability of this software for any purpose. It
+# is provided "as is" without express or implied warranty.
+#
+# RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+# EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+# PERFORMANCE OF THIS SOFTWARE.
+# -*- Autoconf -*-
+
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ(2.61)
+AC_INIT(FULL-PACKAGE-NAME, VERSION, BUG-REPORT-ADDRESS)
+
+# Checks for programs.
+AC_PROG_INSTALL
+AC_PROG_MAKE_SET
+
+AC_CONFIG_SRCDIR([Makefile.am])
+AM_CONFIG_HEADER([config.h])
+AC_CONFIG_AUX_DIR(.)
+
+AM_INIT_AUTOMAKE([dist-bzip2])
+
+AM_MAINTAINER_MODE
+
+# Checks for programs.
+AC_DISABLE_STATIC
+AC_PROG_LIBTOOL
+AC_PROG_CC
+
+AC_ARG_WITH(arch, AS_HELP_STRING([--with-arch=ARCH], [Architecture (default: arm)]),
+ [ ARCH="$withval" ],
+ [ ARCH="arm" ])
+AC_ARG_WITH(conf-prefix, AS_HELP_STRING([--with-conf-prefix=CONF_PREFIX], [Architecture (default: /opt/etc)]),
+ [ CONF_PREFIX="$withval" ],
+ [ CONF_PREFIX="/opt/etc" ])
+
+AC_SUBST(ARCH)
+AC_SUBST(CONF_PREFIX)
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
--- /dev/null
+keycode 123 = XF86AudioRaiseVolume
+keycode 122 = XF86AudioLowerVolume
+keycode 231 = Cancel
+keycode 177 = XF86Send
+keycode 147 = XF86Phone
+keycode 166 = XF86Stop
+keycode 225 = XF86Search
+keycode 124 = XF86PowerOff
+keycode 179 = XF86WebCam
+keycode 220 = XF86Pictures
+keycode 208 = XF86AudioPlay
+keycode 209 = XF86AudioPause
+keycode 174 = XF86AudioStop
+keycode 171 = XF86AudioNext
+keycode 173 = XF86AudioPrev
+keycode 176 = XF86AudioRewind
+keycode 216 = XF86AudioForward
+keycode 234 = XF86AudioMedia
+keycode 153 =
+keycode 239 =
+keycode 136 =
+keycode 140 =
+keycode 182 =
+keycode 172 =
+keycode 215 =
--- /dev/null
+XORG_ARCH_OPTS="-dumbSched"
--- /dev/null
+Xft.dpi: 72
--- /dev/null
+#!/bin/sh
+
+udevadm trigger --subsystem-match=input &
+
--- /dev/null
+xset -r 123 -r 122 -r 231 -r 177 -r 147 -r 166 -r 225 -r 124 -r 179 -r 220 -r 208 -r 209 -r 174 -r 171 -r 173 -r 176 -r 216 -r 234 &
--- /dev/null
+%ifarch %ix86
+%define ARCH i386
+%endif
+
+%ifarch %{arm}
+%define ARCH arm
+%endif
+
+Name: xorg-x11-misc
+Summary: X.Org X11 X server misc packages
+Version: 0.0.3
+Release: 3
+Group: System/X11
+License: MIT
+Source0: %{name}-%{version}.tar.gz
+
+%description
+Description: %{summary}
+
+%package common
+Summary: architecture independent set of X11 X server configuration files
+Group: System/X11
+Requires: xserver-xorg-core
+
+%description common
+Set of architecture independent files and scripts for X server
+
+%package %{ARCH}-common
+Summary: X11 X server misc files for %{ARCH}
+Group: System/X11
+Requires: %{name}-common = %{version}
+
+%description %{ARCH}-common
+Set of architecture depended files and scripts for X server
+
+
+# emulfb
+
+%package emulfb
+Summary: X11 X server misc files for emulated framebuffer device
+Group: System/X11
+Requires: %{name}-%{ARCH}-common = %{version}
+Provides: xserver-xorg-misc-emulfb = %{version}
+
+%description emulfb
+Xorg server misc package which contains device specific configuration files
+
+
+%prep
+%setup -q
+
+%install
+
+mkdir -p %{buildroot}/usr/share/license
+cp -af COPYING %{buildroot}/usr/share/license/%{name}-emulfb
+
+
+mkdir -p %{buildroot}/usr/bin
+mkdir -p %{buildroot}/etc/X11/xorg.conf.d
+mkdir -p %{buildroot}/etc/X11/arch-preinit.d
+mkdir -p %{buildroot}/etc/rc.d/init.d
+mkdir -p %{buildroot}/etc/rc.d/rc3.d
+mkdir -p %{buildroot}/etc/rc.d/rc4.d
+mkdir -p %{buildroot}/etc/profile.d
+
+install -m 755 common/startx %{buildroot}/usr/bin/startx
+install -m 755 common/scripts/setcpu %{buildroot}/usr/bin/setcpu
+install -m 755 common/scripts/setpoll %{buildroot}/usr/bin/setpoll
+install -m 755 common/xinitrc %{buildroot}/etc/X11/xinitrc
+install -m 644 common/xorg.conf %{buildroot}/etc/X11/xorg.conf
+
+install -m 755 common/Xorg.sh %{buildroot}/etc/profile.d/Xorg.sh
+install -m 755 common/xserver %{buildroot}/etc/rc.d/init.d/xserver
+
+install -m 644 %{ARCH}-common/Xmodmap %{buildroot}/etc/X11/Xmodmap
+install -m 644 %{ARCH}-common/Xresources %{buildroot}/etc/X11/Xresources
+install -m 644 %{ARCH}-common/Xorg.arch-options %{buildroot}/etc/X11/Xorg.arch-options
+install -m 755 %{ARCH}-common/xsetrc %{buildroot}/etc/X11/xsetrc
+
+if [ -d %{ARCH}-common/arch-preinit.d ]; then
+ cp -a %{ARCH}-common/arch-preinit.d %{buildroot}/etc/X11/
+fi
+
+%ifarch %ix86
+ln -s /etc/rc.d/init.d/xserver %{buildroot}/etc/rc.d/rc3.d/S20xserver
+ln -s /etc/rc.d/init.d/xserver %{buildroot}/etc/rc.d/rc4.d/S20xserver
+%endif
+
+%ifarch %{arm}
+ln -s /etc/rc.d/init.d/xserver %{buildroot}/etc/rc.d/rc3.d/S02xserver
+ln -s /etc/rc.d/init.d/xserver %{buildroot}/etc/rc.d/rc4.d/S02xserver
+%endif
+
+cp -Rd conf-%{ARCH}* %{buildroot}/etc/X11/
+
+# XXX Copy-paste terror - could some rpm guy help me unify this?
+
+# arm/i386 emulfb
+
+%post emulfb
+mkdir -p /etc/X11/xorg.conf.d
+for i in /etc/X11/conf-%{ARCH}-emulfb/*; do
+ f="${i##*/}"
+ d="/etc/X11/xorg.conf.d/$f"
+ rm -f "$d"
+ ln -s "$i" "$d"
+done
+
+%files common
+/usr/bin/startx
+/usr/bin/setcpu
+/usr/bin/setpoll
+/etc/X11/xinitrc
+/etc/profile.d/Xorg.sh
+/etc/rc.d/init.d/*
+/etc/X11/xorg.conf
+
+
+%files %{ARCH}-common
+%manifest xorg-x11-misc-%{ARCH}-common.manifest
+/etc/rc.d/rc3.d/*
+/etc/rc.d/rc4.d/*
+/etc/X11/Xmodmap
+/etc/X11/Xresources
+%attr(755,root,root) /etc/X11/xsetrc
+/etc/X11/Xorg.arch-options
+%dir /etc/X11/arch-preinit.d
+/etc/X11/arch-preinit.d/*
+
+%files emulfb
+%manifest xorg-x11-misc-emulfb.manifest
+/usr/share/license/%{name}-emulfb
+/etc/X11/conf-%{ARCH}-emulfb/*
+
+
--- /dev/null
+<manifest>
+ <request>
+ <domain name="xorg"/>
+ </request>
+ <assign>
+ <filesystem path="/etc/rc.d/init.d/xserver" label="_" exec_label="none" />
+ <filesystem path="/etc/rc.d/rc3.d/S02xserver" label="_" exec_label="none" />
+ <filesystem path="/etc/rc.d/rc4.d/S02xserver" label="_" exec_label="none" />
+ </assign>
+</manifest>
--- /dev/null
+<manifest>
+ <request>
+ <domain name="xorg"/>
+ </request>
+</manifest>
--- /dev/null
+<manifest>
+ <request>
+ <domain name="xorg"/>
+ </request>
+ <assign>
+ <filesystem path="/etc/rc.d/init.d/xserver" label="_" exec_label="none" />
+ <filesystem path="/etc/rc.d/rc3.d/S20xserver" label="_" exec_label="none" />
+ <filesystem path="/etc/rc.d/rc4.d/S20xserver" label="_" exec_label="none" />
+ </assign>
+</manifest>